* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
body {
  font-family: "Roboto", sans-serif;
}
/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding: 1rem; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.6); /* Black w/ opacity */
}
/* Modal Content */
.modal-content {
  position: relative;
  margin: auto;
  width: 100%;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  -webkit-animation-name: animatetop;
  -webkit-animation-duration: 1.2s;
  animation-name: animatetop;
  animation-duration: 1.2s;
}

/* Add Animation */
@-webkit-keyframes animatetop {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}

@keyframes animatebottom {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}

.modal-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
/* The Close Button */
.close {
  color: white;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #00ffff;
  text-decoration: none;
  cursor: pointer;
}
.modal-content p {
  margin-bottom: 1em;
}

fieldset {
  border-radius: 8px;
  border: solid 2px rgb(5, 5, 5);
  padding: 1em 2em;

  background-color: #000;
  color: #eeffff;
  box-shadow: 0px 0px 10px rgba(0, 255, 255, 0.8);
}

legend {
  font-family: "Indie Flower", cursive;
  font-size: 2em;
  padding: 0 0.5em;
  text-shadow: 0 0 2px rgb(0, 255, 255), 0 0 3px rgb(0, 255, 255),
    0 0 4px #00ffff, 0 0 6px #00ffff;
  color: #000000;
  font-weight: 700;
}
.icon_form {
  width: 24px;
  height: 24px;
}
input#submit {
  background-color: #000000;
  color: #00ffff;
  border: 1px solid #00ffff;
  cursor: pointer;
}
input#submit:focus,
input#submit:hover {
  background-color: #00ffff;
  color: #000;
  border: 1px solid #00ffff;
}

.field {
  display: flex;
  flex-flow: column-reverse;
  margin-bottom: 1.5em;
  position: relative;
}

input,
textarea {
  border: 1px solid black;
  border-bottom: 1px solid #eeffff;
  border-left: 1px solid #eeffff;
  border-radius: 4px;
  font-size: 1rem;
  padding: 1rem;
  width: 100%;
  cursor: text;
  color: #eeffff;
  background: rgb(0, 0, 0);
}

textarea {
  min-height: 160px;
}

label {
  color: #00ffff;
  font-size: 0.8em;
}

/* ---------- float label  -------------------- */
input:focus,
textarea:focus {
  outline: 0;
  border-bottom: 2px solid #00ffff;
  background: rgb(5, 5, 5);
}

label,
input,
textarea {
  transition: all 0.2s;
  touch-action: manipulation;
}

input:placeholder-shown + label,
textarea:placeholder-shown + label {
  cursor: text;
  max-width: 70%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  transform-origin: -2.125rem 0;
  transform: translate(0, 2.125rem) scale(1.25);
}

input:not(:placeholder-shown) + label,
input:focus + label,
textarea:not(:placeholder-shown) + label,
textarea:focus + label {
  transform: translate(0, 0) scale(1);
  cursor: pointer;
}

@media (min-width: 700px) {
  fieldset {
    max-width: 600px;
    margin: 0 auto;
  }
}
